summaryrefslogtreecommitdiff
path: root/src/util/sync-config.in
diff options
context:
space:
mode:
Diffstat (limited to 'src/util/sync-config.in')
-rw-r--r--src/util/sync-config.in13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/util/sync-config.in b/src/util/sync-config.in
new file mode 100644
index 0000000..b1c4971
--- /dev/null
+++ b/src/util/sync-config.in
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -eu
+
+if ! type gnunet-config >/dev/null; then
+ echo "$0 needs gnunet-config to be installed"
+ exit 1
+fi
+
+GC=`which gnunet-config`
+SO=`ls %libdir%/libsyncutil.so.* | sort -n | tail -n1`
+export LD_PRELOAD=${LD_PRELOAD:-}:${SO}
+exec gnunet-config "$@"